Bug 858133 - [F17] request port basket 1.0.3.1 from EPEL 6 to Fedora 17 (need a small patch since gcc47)
[F17] request port basket 1.0.3.1 from EPEL 6 to Fedora 17 (need a small pat...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: basket (Show other bugs)
17
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-18 01:28 EDT by Gris Ge
Modified: 2012-09-24 08:22 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-24 08:22:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gris Ge 2012-09-18 01:28:14 EDT
Description of problem:

I just steal src rpm from 
http://dl.fedoraproject.org/pub/epel/6/SRPMS/basket-1.0.3.1-8.el6.src.rpm

Add this line into '%setup' section, compile passed and it works perfect.
====
sed -i \
  '/#include <kdebug.h>/s|$|\n#include <unistd.h>\n#include <sys/types.h>|' \
  src/likeback.cpp
====

Or you can make a small patch.


Version-Release number of selected component (if applicable):
missing in repo.

How reproducible:
N/A

Steps to Reproduce:
1.
2.
3.
  
Actual results:
No basket in F17 repo

Expected results:
basket goes into F17 repo or even rawhide

Additional info:
The kde 4 version of basket 1.8.xxx is still in beta stage. Please keep this old KDE 3 software in repo utile kde 4 or 5 version goes stable.

Thanks.
Comment 1 manuel wolfshant 2012-09-18 03:18:45 EDT
I could do that. But there is one small problem of concept here: while I am interested in having it in EPEL, I do not have the resources to care for its Fedora counterparts. I do not think that it is correct to push a package just for the sake of having it, without having a maintainer for it.
Comment 2 Gris Ge 2012-09-23 23:33:55 EDT
I use bakset (kde3 version) to store my huge notes (git enabled) everyday.

Will you take it if I take QE work of this package?
I am no Fedora QE yet. If needed, I can follow procedure to apply one.

If you want some one who is using Fedora to take package maintainer work, maybe I can apply for it (no sure whether my boss allow me to do).
Comment 3 Gris Ge 2012-09-23 23:46:28 EDT
BTW:

Manuel, please check 'Need additional information from' below the comment box to send a needinfo to me when you need reply. I got thousands of emails sent from this bugzilla.

Thanks.
Comment 4 manuel wolfshant 2012-09-24 03:54:33 EDT
I have no idea what "QE" means but I can only repeat what I have said before: I am more than willing to take care of the EPEL branches but we need a different maintainer for the Fedora branches. I do not have the time to look over the shoulder of someone else and verify his/her work so a person who is already a Fedora maintainer would be needed.
Comment 5 Gris Ge 2012-09-24 08:22:46 EDT
QE == 'Quality Engineer'

I have no idea how Fedora team handle this. I will close this bug as won't fix.
I am OK to keep a personal compile rpm.

If any Fedora maintainer want it in repo, reopen or clone to new one.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.